Subject: Xlib: sequence lost

From: Matthias Clasen <[email-masked]>
Date: Mon, 3 May 1999 17:15:23 +0200

I finished my investigation of this error today...and the
culprit is: the transient pager! I turned out that the error 
messages come from the pager, not from fvwm. And the transient
pager feature changed the error handler of the pager to issue
X requests. This is one of the main reasons for "sequence lost"
errors according to the X faq (the other is X requests from signal
handlers). As a quick check I ifdef'ed out the error handler
body and couldn't reproduce the "sequence lost" messages anymore.

Dominik, since you did the transient pager stuff, could you change
the error handler in x_pager.c to not issue any X requests (I guess
setting a flag and doing the real work in the main loop is the
usual approach).

Matthias

-- 
Matthias Clasen, 
Tel. 0761/203-5606
Email: [email-masked]
Mathematisches Institut, Albert-Ludwigs-Universitaet Freiburg
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Tue, 4 May 1999 00:50:03 +0200

> setting a flag and doing the real work in the main loop is the

Fixed (I hope).

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]